Bug 16037 - panel appears mid-screen on start
panel appears mid-screen on start
Product: Red Hat Linux
Classification: Retired
Component: gnome-core (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Havoc Pennington
Depends On:
  Show dependency treegraph
Reported: 2000-08-11 18:16 EDT by joe_mccarthy
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2000-09-08 13:48:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description joe_mccarthy 2000-08-11 18:16:11 EDT
After making changes to the panels color via the panel properties and
hiding the hide arrows
the panel appers mid screen and half is missing off to the right. I have to
click on the hide button and it then hides and appears in the lower left
corner.  It is normal in functin after that. This occures every time I
start  x. My normal start is run level 3 and I did a everything install on
a Compaq deskpro Pentium II 350 MHz pc with 128 Megs ram, a 4 gig scsi hard
drive. ATI Rage 3D pro and a V75 monitor.  The problem did not start until
I started modifing the appearance of the panel.
Comment 1 Havoc Pennington 2000-08-21 10:28:55 EDT
Is your panel a menu panel, or a regular panel?
Comment 2 joe_mccarthy 2000-08-21 10:46:45 EDT
This is the regular panel that runs on the bottom (used to) of the screen. It
still starts mid screen and 1/2 off to the right.  I did not add any panels, but
modifyed the color of the default one and moved some of the icons on the bar
Comment 3 joe_mccarthy 2000-09-08 12:30:35 EDT
I have found a way to duplicate this problem. Just remove ether the top or
bottom panel. I found this out by starting the panel in the default config.
First remove all the panel file from the home directory with "rm -fR
~home/.gnome/panel* Then start X, see two panels appear. Then remove ether one
and quit X and then restart. Panel appears mid screen.
Comment 4 Havoc Pennington 2000-09-08 13:06:47 EDT
Can you open the Sawfish control panel and see if you have "ignore
application-specified window position" turned on in Sawfish? One of the panel
maintainers thinks this might be the problem.
Comment 5 joe_mccarthy 2000-09-08 13:48:14 EDT
Nope, the only option turn on in this section is Automatically remember window
positions Teh Method of placing windows is best-fit and dialog placement is
centered-on-parent.  I gave up and have both panel bars up as per the default
now. I use the top for program launching and the bottom is just for task
switching and the pager applet. On 6.2 and all of the helix code on another pc,
I only have one panel and do not have this problem. It seems to isolated to
pinstripe 6.9.5
Comment 6 Havoc Pennington 2001-07-05 22:45:48 EDT
I'm going to go out on a limb and figure this was a bug in older versions of
Sawfish misremembering window positions. If it still occurs with 7.1, please
reopen the bug.

Note You need to log in before you can comment on or make changes to this bug.